Package com.xebialabs.xlrelease.domain.events

## Class FolderVariableUpdatedEvent

- java.lang.Object
- - com.xebialabs.xlrelease.domain.events.FolderVariableUpdatedEvent

- All Implemented Interfaces:
    `FolderVariableEvent`, `VariableEvent`, `XLReleaseEvent`, `java.io.Serializable`, `scala.Equals`, `scala.Product`

      public class FolderVariableUpdatedEvent
      extends java.lang.Object
      implements FolderVariableEvent, scala.Product, java.io.Serializable

  Event published when a folder variable is updated.

  param: original a copy of the original folder variable. param: updated the updated folder variable. As this can only be triggered from a script task, only the variable value can be different. param: source the way it was created. Currently only `ModifiedFromScriptTask` is supported.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FolderVariableUpdatedEvent​(Variable original, Variable updated, VariableModificationSource source)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static FolderVariableUpdatedEvent` | `apply​(Variable original, Variable updated, VariableModificationSource source)` |
    `boolean` | `canEqual​(java.lang.Object x$1)` |
    `FolderVariableUpdatedEvent` | `copy​(Variable original, Variable updated, VariableModificationSource source)` |
    `Variable` | `copy$default$1()` |
    `Variable` | `copy$default$2()` |
    `VariableModificationSource` | `copy$default$3()` |
    `boolean` | `equals​(java.lang.Object x$1)` |
    `int` | `hashCode()` |
    `Variable` | `original()` |
    `int` | `productArity()` |
    `java.lang.Object` | `productElement​(int x$1)` |
    `java.lang.String` | `productElementName​(int x$1)` |
    `scala.collection.Iterator<java.lang.Object>` | `productIterator()` |
    `java.lang.String` | `productPrefix()` |
    `VariableModificationSource` | `source()` |
    `java.lang.String` | `toString()` |
    `static scala.Option<scala.Tuple3<Variable,​Variable,​VariableModificationSource>>` | `unapply​(FolderVariableUpdatedEvent x$0)` |
    `Variable` | `updated()` |
    `java.lang.String` | `username()` |
    `void` | `username_$eq​(java.lang.String x$1)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface scala.Product

      `productElementNames`

    - ### Methods inherited from interface com.xebialabs.xlrelease.domain.events.XLReleaseEvent

      `timeMs, timestamp`

- - ### Constructor Detail

    - #### FolderVariableUpdatedEvent

          public FolderVariableUpdatedEvent​(Variable original,
                                            Variable updated,
                                            VariableModificationSource source)

  - ### Method Detail

    - #### apply

          public static FolderVariableUpdatedEvent apply​(Variable original,
                                                         Variable updated,
                                                         VariableModificationSource source)

    - #### unapply

          public static scala.Option<scala.Tuple3<Variable,​Variable,​VariableModificationSource>> unapply​(FolderVariableUpdatedEvent x$0)

    - #### username

          public java.lang.String username()

      Specified by:
        `username` in interface `XLReleaseEvent`

    - #### username_$eq

          public void username_$eq​(java.lang.String x$1)

      Specified by:
        `username_$eq` in interface `XLReleaseEvent`

    - #### original

          public Variable original()

    - #### updated

          public Variable updated()

    - #### source

          public VariableModificationSource source()

    - #### copy

          public FolderVariableUpdatedEvent copy​(Variable original,
                                                 Variable updated,
                                                 VariableModificationSource source)

    - #### copy$default$1

          public Variable copy$default$1()

    - #### copy$default$2

          public Variable copy$default$2()

    - #### copy$default$3

          public VariableModificationSource copy$default$3()

    - #### productPrefix

          public java.lang.String productPrefix()

      Specified by:
        `productPrefix` in interface `scala.Product`

    - #### productArity

          public int productArity()

      Specified by:
        `productArity` in interface `scala.Product`

    - #### productElement

          public java.lang.Object productElement​(int x$1)

      Specified by:
        `productElement` in interface `scala.Product`

    - #### productIterator

          public scala.collection.Iterator<java.lang.Object> productIterator()

      Specified by:
        `productIterator` in interface `scala.Product`

    - #### canEqual

          public boolean canEqual​(java.lang.Object x$1)

      Specified by:
        `canEqual` in interface `scala.Equals`

    - #### productElementName

          public java.lang.String productElementName​(int x$1)

      Specified by:
        `productElementName` in interface `scala.Product`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object x$1)

      Specified by:
        `equals` in interface `scala.Equals`
      Overrides:
        `equals` in class `java.lang.Object`